Bug 124908 - open office hangs during startup
open office hangs during startup
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
2
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Caolan McNamara
:
: 128385 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-01 08:56 EDT by Will McCammon
Modified: 2007-11-30 17:10 EST (History)
4 users (show)

See Also:
Fixed In Version: FC3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-25 07:14:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 34140 None None None Never

  None (edit)
Description Will McCammon 2004-06-01 08:56:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
upon startup, oowriter hangs after displaying the openoffice startup
logo and progress bar.  strace indicates that the hang may be
associated with oowriter attempting to contact a host that is not
available on the localhost computer's network.  this error does not
occur when the localhost and foreign host are on the same network. 
this bug is particularly inconvenient for roaming laptop users.

Version-Release number of selected component (if applicable):
openoffice-1.1.1-4

How reproducible:
Always

Steps to Reproduce:
1.configure an unknown option in oowriter that searches for an
unreachable host
2.startup oowriter
3.
    

Additional info:

in this case the localhost (mary) is at 192.168.44.50.  the
unreachable host (daniel) is at 192.168.13.12. 
associated strace below:

<snip>
uname({sys="Linux", node="mary", ...})  = 0
close(27)                               = 0
rt_sigaction(SIGPIPE, {SIG_IGN}, NULL, 8) = 0
gettimeofday({1086092378, 736891}, NULL) = 0
socket(PF_UNIX, SOCK_STREAM, 0)         = 27
connect(27, {sa_family=AF_UNIX, path="/var/run/nscd/socket"}, 110) =
-1 ENOENT (No such file or directory)
close(27)                               = 0
open("/etc/hosts", O_RDONLY)            = 27
fcntl64(27, F_GETFD)                    = 0
fcntl64(27, F_SETFD, FD_CLOEXEC)        = 0
fstat64(27, {st_mode=S_IFREG|0644, st_size=68, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1,
0) = 0xf3e71000
read(27, "127.0.0.1\tlocalhost.localdomain\t"..., 4096) = 68
read(27, "", 4096)                      = 0
close(27)                               = 0
munmap(0xf3e71000, 4096)                = 0
open("/usr/lib/ooo-1.1/program/libnss_dns.so.2", O_RDONLY) = -1 ENOENT
(No such file or directory)
open("/usr/lib/ooo-1.1/program/libnss_dns.so.2", O_RDONLY) = -1 ENOENT
(No such file or directory)
open("tls/i686/libnss_dns.so.2", O_RDONLY) = -1 ENOENT (No such file
or directory)
open("tls/libnss_dns.so.2", O_RDONLY)   = -1 ENOENT (No such file or
directory)
open("i686/libnss_dns.so.2", O_RDONLY)  = -1 ENOENT (No such file or
directory)
open("libnss_dns.so.2", O_RDONLY)       = -1 ENOENT (No such file or
directory)
open("/etc/ld.so.cache", O_RDONLY)      = 27
fstat64(27, {st_mode=S_IFREG|0644, st_size=86129, ...}) = 0
old_mmap(NULL, 86129, PROT_READ, MAP_PRIVATE, 27, 0) = 0xf3e5b000
close(27)                               = 0
open("/lib/libnss_dns.so.2", O_RDONLY)  = 27
read(27, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\360\f\0"...,
512) = 512
fstat64(27, {st_mode=S_IFREG|0755, st_size=22172, ...}) = 0
old_mmap(NULL, 16516, PROT_READ|PROT_EXEC, MAP_PRIVATE, 27, 0) = 0x36ba000
old_mmap(0x36bd000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED,
27, 0x3000) = 0x36bd000
close(27)                               = 0
mprotect(0x36bd000, 4096, PROT_READ)    = 0
munmap(0xf3e5b000, 86129)               = 0
socket(PF_INET, SOCK_DGRAM, IPPROTO_IP) = 27
connect(27, {sa_family=AF_INET, sin_port=htons(53),
sin_addr=inet_addr("192.168.58.250")}, 28) = 0
send(27, "\25`\1\0\0\1\0\0\0\0\0\0\6daniel\10wireless\23mcc"..., 57,
0) = 57
gettimeofday({1086092378, 754831}, NULL) = 0
poll([{fd=27, events=POLLIN, revents=POLLIN}], 1, 5000) = 1
ioctl(27, FIONREAD, [108])              = 0
recvfrom(27,
"\25`\205\203\0\1\0\0\0\1\0\0\6daniel\10wireless\23mcc"..., 1024, 0,
{sa_family=AF_INET, sin_port=htons(53),
sin_addr=inet_addr("192.168.58.250")}, [16]) = 108
close(27)                               = 0
socket(PF_INET, SOCK_DGRAM, IPPROTO_IP) = 27
connect(27, {sa_family=AF_INET, sin_port=htons(53),
sin_addr=inet_addr("192.168.58.250")}, 28) = 0
send(27, "\25a\1\0\0\1\0\0\0\0\0\0\6daniel\7private\23mcca"..., 56, 0)
= 56
gettimeofday({1086092378, 763992}, NULL) = 0
poll([{fd=27, events=POLLIN, revents=POLLIN}], 1, 5000) = 1
ioctl(27, FIONREAD, [106])              = 0
recvfrom(27,
"\25a\205\200\0\1\0\1\0\1\0\1\6daniel\7private\23mcca"..., 1024, 0,
{sa_family=AF_INET, sin_port=htons(53),
sin_addr=inet_addr("192.168.58.250")}, [16]) = 106
close(27)                               = 0
time(NULL)                              = 1086092378
socket(PF_INET, SOCK_STREAM, IPPROTO_IP) = 27
fcntl64(27, F_SETFD, FD_CLOEXEC)        = 0
setsockopt(27, SOL_SOCKET, SO_REUSEADDR, [1], 4) = 0
setsockopt(27, SOL_TCP, TCP_NODELAY, [1], 4) = 0
connect(27, {sa_family=AF_INET, sin_port=htons(631),
sin_addr=inet_addr("192.168.13.12")}, 16 <unfinished ...>
Comment 1 Colin Charles 2004-06-09 11:18:37 EDT
What does /etc/hosts display? Is there a line that says localhost
resolves to 127.0.0.1?
Comment 2 Will McCammon 2004-06-10 00:16:25 EDT
#cat /etc/hosts
127.0.0.1       localhost.localdomain   localhost       mary

yes.
Comment 3 Dan Williams 2004-06-10 08:55:52 EDT
Will,

When it is hung, could you get the PID of the "soffice.bin" process,
then run gdb and "attach <pid>", then do a "t a a bt" command (which
is get a backtrace of all threads) and post the output from gdb here?
 I'm quite curious where in the code its attempting to contact that
computer.   Thanks!
Comment 4 Richard 2004-06-10 10:36:12 EDT
I got same issue on FC2testX and FC2 Final.
To solve it, I added a new remote printer manually, and define it as
default printer. When the autodetect printer is the default printer I
get this hang.
I think this is another report for the same bug :
http://www.redhat.com/archives/fedora-list/2004-June/msg01302.html

Comment 5 Dan Williams 2004-09-18 13:07:23 EDT
*** Bug 128385 has been marked as a duplicate of this bug. ***
Comment 6 Will McCammon 2004-10-08 06:48:29 EDT
i deleted a network printer associated with 192.168.13.12.  openoffice
now opens without delay when disconnected from the network.  i was
unable to provide the gdb output dan requested, since i am unable to
reproduce the error after deleting the culprit network print queue
from gnome-print.
Comment 7 Caolan McNamara 2005-02-01 12:49:04 EST
This also happens under windows with OOo and an unavailable printer. Tracking
upstream as http://qa.openoffice.org/issues/show_bug.cgi?id=34140
Comment 8 Dan Williams 2005-02-01 12:51:56 EST
The current code in 1.1.2 uses CUPS but does not move the printer discovery to a
separate thread, therefore blocking OOo on startup if CUPS can't contact the
printer.  The current 1.1.3 code moves that to a separate thread, but never
quite seems to re-query the thread for the updated printer list (Bug #146328). 
Sigh.

Dan
Comment 9 Dan Williams 2005-03-01 13:08:14 EST
This should be fixed soon with 1.1.3-7
Comment 10 Matthew Miller 2005-04-26 12:39:42 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Note You need to log in before you can comment on or make changes to this bug.